Error in bundle dependencies resolving

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Error in bundle dependencies resolving

Grigory
Hello.
According http://dandelion.github.io/dandelion/ bundle dependencies ref to bundle name.
In case of bundle name is differ from assets name:

{
    "bundle": "webjar-bootstrap",
    "assets": [
        {
            "name": "bootstrap3",
            "version": "3.1.1",
            "type": "css",
            "locations": {
                "webjar": "bootstrap.min.css"
            }
        }
    ]
}

dependencies to webjar-bootstrap was not resolved:
{
    "bundle" : "topjava",
    "dependencies" : [ "webjar-bootstrap" ],
    "assets": [{
        "name": "topjava",
        "version": "1.0.0",
        "type": "css",
        "locations": {
            "webapp": "/resources/css/style.css"
        }
    }]
}

But it work if assert name set in dependencies:
{
    "bundle" : "topjava",
    "dependencies" : [ "bootstrap3" ],
    "assets": [{
        "name": "topjava",
        "version": "1.0.0",
        "type": "css",
        "locations": {
            "webapp": "/resources/css/style.css"
        }
    }]
}


Check in version 0.10.0 and 0.10.1.
Reply | Threaded
Open this post in threaded view
|

Re: Error in bundle dependencies resolving

Thibault Duchateau
Administrator
Hi Grigory,

Sorry for the late response :-/
I can confirm that the "dependencies" attribute expects an array of bundles (bundle names more exactly).

The issue must be elsewhere. Would you be able to post your configured bundle definitions?

Regards,
Thibault.